<script lang="ts">
  import Banner from '~/components/Banner.svelte';
  import Section from '~/components/Section.svelte';
  import { newsroom } from '~/data/newsroom.js';
  import Subscribe from '../common/footer/Subscribe.svelte';
  import ResourceSelector from './components/ResourceSelector.svelte';
  let screenSize: number;

  $: isMobileView = screenSize < 768;
</script>

<svelte:window bind:innerWidth={screenSize} />

<Banner>news room</Banner>
<Section fullWidth={isMobileView}>
  <div class="newsroom">
    <div
      class="source-select"
      class:hide={!isMobileView}>
      <ResourceSelector />
    </div>
    <div
      class="submenu"
      class:hide={isMobileView}>
      <div>
        <span class="text-xl">Resources</span>
        <ul><li><a>Blog</a></li></ul>
      </div>
      <div><span class="text-lg">Category</span></div>
    </div>
    <div class="articles w-full">
      {#each newsroom.blogs as data}<div class="post">
          <div>{data.title}</div>
          <div>{data.content}</div>
        </div>{/each}
    </div>
  </div>
</Section>
<div class="subscribe"><Subscribe /></div>

<style lang="postcss">
  .hide {
    display: none;
  }

  .source-select {
    position: sticky;
    top: 0;

    /* background-color: bisque; */
    width: 100%;
    margin-top: -80px;
    margin-bottom: 80px;
  }

  .articles {
    & > div {
      padding-inline: var(--space-vw-1);
    }

    & > div + div {
      padding-top: var(--space-vh-1);
      border-top: 1px solid hsl(200deg 12% 71%);
    }
  }

  .post {
    margin-bottom: 60px;

    :first-child {
      font-weight: bold;
    }
  }

  .subscribe {
    display: flex;
    justify-content: center;
    background-color: hsl(199deg 46% 91%);

    :global(*) {
      width: 100%;
      max-width: 500px;
    }
  }

  @media (width >= 768px) {
    .newsroom {
      display: flex;
      flex-direction: row;
    }

    .articles {
      & > div {
        margin-inline: var(--space-vw-1);
        padding-inline: 0;
      }
    }

    .submenu {
      width: 15%;
      height: fit-content;
      padding-right: var(--content-margin);
      border-right: 1px solid gray;
      text-align: right;

      div + div {
        margin-top: var(--content-margin);
      }
    }
  }
</style>
